const metadata = {
  root: {},
  scopes: ['g', 's', 'c'],
  global: {
    valid: {
      scope: ['g'],
      category: ['color', 'font', 'radius', 'shadow', 'sizing', 'spacing', 'ratio'],
      property: ['border', 'style', 'size', 'scale', 'family', 'weight', 'lineheight', 'decoration'],
      pairing: ['on'],
      role: [
        'surface',
        'accent',
        'neutral',
        'brand',
        'disabled',
        'warning',
        'error',
        'success',
        'info',
        'palette',
      ],
      context: ['container'],
      attribute: [
        'base',
        'inverse',
        'dark',
        'light',
        'neg',
        'monospace',
        'circle',
        'pill',
        'square',
        'landscape',
        'portrait',
        'wide',
        'ultrawide',
      ],
      range: [],
    },
  },
  shared: {
    valid: {},
  },
  component: {
    valid: {
      scope: ['c'],
      category: ['color', 'font', 'radius', 'shadow', 'sizing', 'spacing', 'position'],
      property: [
        'background',
        'foreground',
        'border',
        'style',
        'size',
        'family',
        'weight',
        'lineheight',
        'decoration',
        'align',
        'width',
        'height',
        'zindex',
      ],
      attribute: [
        'inline',
        'inlinestart',
        'inlineend',
        'block',
        'blockstart',
        'blockend',
        'start',
        'startstart',
        'startend',
        'end',
        'endstart',
        'endend',
        'gap',
        'max',
        'min',
      ],
      state: [
        'checked',
        'pressed',
        'disabled',
        'readonly',
        'valid',
        'invalid',
        'indeterminate',
        'error',
        'placeholder',
        'selected',
      ],
      psuedoState: ['hover', 'focus', 'active', 'visited'],
    },
  },
  restricted: [''],
  deprecated: {
    'inline-start': 'inlinestart',
    'inline-end': 'inlineend',
    'block-start': 'blockstart',
    'block-end': 'blockend',
    'start-start': 'startstart',
    'start-end': 'startend',
    'end-start': 'endstart',
    'end-end': 'endend',
  },
  privateSyntax: ['_'],
};

module.exports = metadata;
