/* Copyright (c) 2015-present, salesforce.com, inc. All rights reserved
Licensed under BSD 3-Clause - see LICENSE.txt or git.io/sfdc-license */

'use strict';

const path = require('path');

module.exports = {
  extends: ['stylelint-config-standard', 'stylelint-config-prettier'],
  ignoreFiles: ['node_modules', '**/*.md', '__mocks__/*.css'],
  defaultSeverity: 'warning',
  plugins: [
    path.resolve(__dirname, 'plugins/styling-hooks-pattern.js'),
    path.resolve(__dirname, 'plugins/styling-hooks-global-pattern.js'),
    path.resolve(__dirname, 'plugins/styling-hooks-component-api.js'),
    path.resolve(__dirname, 'plugins/styling-hooks-deprecated.js'),
  ],
  rules: {
    'sds-stylelint-plugin/styling-hooks-pattern': [null],
    'sds-stylelint-plugin/styling-hooks-global-pattern': [true],
    'sds-stylelint-plugin/styling-hooks-component-api': [null, { severity: 'warning' }],
    'sds-stylelint-plugin/styling-hooks-deprecated': [true, { severity: 'warning' }],
    'selector-type-no-unknown': [true, { ignore: ['custom-elements'] }],
  },
};
