const validateNs = require('./validateNamespace');
const validateScope = require('./validateScope');
const validateContext = require('./validateContext');
const validateElement = require('./validateElement');
const validateVariant = require('./validateVariant');
const validateCategory = require('./validateCategory');
const isValidCustomProperty = require('./isValidCustomProperty');
const validateProperty = require('./validateProperty');
const validateAttribute = require('./validateAttribute');
const validateState = require('./validateState');
const validatePsuedoState = require('./validatePsuedoState');
const validateGlobalRange = require('./global/validateRange');
const validateGlobalCategory = require('./global/validateCategory');
const validateGlobalProperty = require('./global/validateProperty');
const validateGlobalPairing = require('./global/validatePairing');
const validateGlobalRole = require('./global/validateRole');
const validateGlobalContext = require('./global/validateContext');
const validateGlobalAttribute = require('./global/validateAttribute');
const {
  analyzeFuzzy,
  getMissingKeys,
  removeFromSet,
  removeFromArray,
  storeSearchableKeys,
  storeSearchableGlobalKeys,
} = require('./search');
const { getContextFromString } = require('./jest');

module.exports = {
  validateNs,
  validateScope,
  validateContext,
  validateElement,
  validateVariant,
  validateCategory,
  validateGlobalCategory,
  validateGlobalProperty,
  validateGlobalPairing,
  validateGlobalRole,
  validateGlobalContext,
  validateGlobalAttribute,
  isValidCustomProperty,
  validateProperty,
  validateAttribute,
  validateState,
  validatePsuedoState,
  validateGlobalRange,
  analyzeFuzzy,
  getMissingKeys,
  getContextFromString,
  removeFromArray,
  removeFromSet,
  storeSearchableKeys,
  storeSearchableGlobalKeys,
};
