const sdsNamespaces = require('@salesforce-ux/sds-namespaces');

/**
 * Validate namespace
 * @param {String} ns Namespace to be validated against the sds-namespace definitions
 * @returns {Object} Validation object
 */
const validateNs = (ns, privateSyntax) => {
  for (const team of sdsNamespaces) {
    if (ns.startsWith(privateSyntax) && ns === `${privateSyntax}${team.name}`) {
      return { valid: true, received: ns, private: true };
    } else if (ns === team.name) {
      return { valid: true, received: ns };
    }
  }
  return { valid: false, expected: sdsNamespaces.map((team) => team.name), received: ns };
};

module.exports = validateNs;
