const metadata = require('../metadata/metadata.js');

/**
 * Validate scope
 * @param {Object[]} arr An array of words from the css custom property
 * @param {Object} keys An object of keys based on metadata
 * @returns {Object} Validation object
 */
const validateScope = (arr, keys) => {
  const scope = arr[keys.scope];
  let isGlobal = false;
  let isShared = false;
  let isComponent = false;
  if (scope && scope === 'c') isComponent = true;
  if (scope && scope === 'g') isGlobal = true;
  if (scope && scope === 's') isShared = true;
  if (arr.includes(scope)) return { valid: true, scope, isGlobal, isShared, isComponent };
  return { valid: false, expected: metadata.scopes, received: arr[1] };
};

module.exports = validateScope;
